Page MenuHomePhabricator

[AArch64][SVE] Asm: Add parsing of merging/zeroing suffix for SVE predicate vector operands
ClosedPublic

Authored by sdesmalen on Dec 20 2017, 6:27 AM.

Details

Summary

Parsing of the '/m' (merging) or '/z' (zeroing) suffix of a predicate operand.

Patch [2/3] in a series to add predicated ADD/SUB instructions for SVE.

Diff Detail

Event Timeline

sdesmalen created this revision.Dec 20 2017, 6:27 AM
fhahn accepted this revision.Jan 2 2018, 4:18 AM
fhahn added reviewers: MatzeB, t.p.northover.
fhahn added subscribers: MatzeB, t.p.northover.

LGTM, / should only be valid for SVE predicates. I think it should be also fine for the Apple Asm variant, but I am adding @MatzeB and @t.p.northover as reviewers in case I am missing something.

lib/Target/AArch64/AsmParser/AArch64AsmParser.cpp
2832

nit: No need for a variable here.

This revision is now accepted and ready to land.Jan 2 2018, 4:18 AM
sdesmalen closed this revision.Jan 9 2018, 3:18 AM